Subject: bug#64272: 28.1; lisp_file_lexically_bound_p behavior mismatches file local variables

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Jun 2023 09:08:43 +0300

> Date: Sat, 24 Jun 2023 21:11:11 -0500
> From: LdBeth <[email-masked]>
> Cc: LdBeth <[email-masked]>,
> 	Stefan Monnier <[email-masked]>,
> 	[email-masked]
> 
> Eli> I think we should do the latter, because
> Eli> hack-local-variables-prop-line is more lenient than
> Eli> lisp_file_lexically_bound_p.
> 
> Eli> Stefan, any comments?
> 
> If so, I think the only thing needs to be changed is
> remove the `if (ch != ';')` test.
> 
> Since from what I test, even if first line is something like
> 
> |(setq tmp " -*- lexical-binding: t -*- ")
> 
> the file local variables would still be applied.

I'm not sure we want to support this outside of a Lisp comment.
Stefan, WDYT?  Could false positives cause harm?